#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xB2,0x69,0xF5,0xE3,0x82,0xCA,0xED,0x90,0x6E,0xD9,0xB7,0x2E,
		0xF6,0x25,0xE6,0xBA,0xEB,0x44,0x4D,0xE3,0xC5,0x7C,0x1F,0xD6,
		0x5F,0xFD,0x52,0x16,0x7D,0x25,0x49,0xC4,0xCB,0xCA,0x2C,0x9C,
		0xB3,0xE7,0xD7,0xAC,0xBF,0x86,0x86,0x9F,0x6D,0xAD,0x8C,0xE7,
		0x74,0x31,0xE5,0x96,0x44,0xFC,0x55,0x0B,0x22,0x33,0x0B,0x04,
		0xD1,0x0A,0x3C,0xBB,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
